package net.efaber.irekia.activities;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import net.efaber.irekia.Irekia;
import net.efaber.irekia.childcontroller.Child_list_activity;


public class Workaround_Activity extends Activity {

	public String title = null;
	public Integer content_id;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Bundle extras = getIntent().getExtras();
		if (extras != null) {
			title = extras.getString(Irekia.TITLE_PARAM);
			content_id = extras.getInt(Irekia.CONTENT_ID_PARAM);
		}
	}

	@Override
	protected void onResume() {
		super.onResume();
		if (title != null) {
			Intent intent = new Intent(this, Child_list_activity.class);
			intent.putExtra(Irekia.CONTENT_ID_PARAM, content_id);
			intent.putExtra(Irekia.TITLE_PARAM, title);
			startActivity(intent);
		}
		finish();
	}
}