package net.efaber.irekia.cache;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import com.github.droidfu.cachefu.HttpResponseCache;
import com.github.droidfu.http.BetterHttp;
import com.github.droidfu.imageloader.ImageLoader;
import net.efaber.irekia.Irekia;

public final class App_update_receiver extends BroadcastReceiver {
	private static final String TAG = "Irekia.App_update_receiver";

	@Override
	public void onReceive(Context context, Intent intent) {
		if (!Irekia.devel) {
			Log.i(TAG, "Irekia app upgrade. Deleting cache...");
			HttpResponseCache cache = BetterHttp.getResponseCache();
			if (null != cache)
				cache.clear();
			ImageLoader.clearCache();
			Cache_Manager.delete_all_cache_content();
			Log.i(TAG, "Irekia app upgrade. Deleting cache done");
		}
	}
}
