package net.efaber.irekia.models.paginatedresult;

import net.efaber.irekia.models.Content_item;
import net.efaber.irekia.models.Section_state;

import java.util.ArrayList;
import java.util.List;

public interface PaginatedResult {

	List<Content_item> getCurrent_items();

	PaginatedResult setCurrent_items(List<Content_item> current_items);

	ArrayList<Section_state> getCurrent_sections();

	PaginatedResult setCurrent_sections(ArrayList<Section_state> current_sections);


	String getSearch_url();

	String getMore_items_url();

	void next();

	boolean can_fetch_more();

	void set_can_fetch_more(boolean can_fetch);

	Content_item getRoot_item();

	void setRoot_item(Content_item root_item);

}
